import { SessionToken, TokenStore } from './types';
/**
 * Token Store using im memory
 *
 * ```typescript
 * // Example of typescript with MemoryTokenStore
 * import * asvenom from '@wppconnect-team/wppconnect';
 *
 * const myTokenStore = new venom.tokenStore.MemoryTokenStore();
 *
 *venom.create({
 *   session: 'mySession',
 *   tokenStore: myTokenStore,
 * });
 *
 *venom.create({
 *   session: 'otherSession',
 *   tokenStore: myTokenStore,
 * });
 * ```
 */
export declare class MemoryTokenStore implements TokenStore {
    protected tokens: {
        [key: string]: any;
    };
    getToken(sessionName: string): SessionToken | undefined;
    setToken(sessionName: string, tokenData: SessionToken | void): boolean;
    removeToken(sessionName: string): boolean;
    listTokens(): string[];
}
